<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8"/>
    <title th:text="|${movies.title} Details|">Update Movie</title>
</head>
<body>

<a th:href="@{/movies}">back</a>

<p></p>
<div class="btn-group" style="width:100%">
    <input type="button" onclick="location.href='/movies';" style=width:20%; value="Movies"/>
    <input type="button" onclick="location.href='/actors';" style=width:20%; value="Actors"/>
    <input type="button" onclick="location.href='/directors';" style=width:20%; value="Directors"/>
    <input type="button" onclick="location.href='/users';" style=width:20%; value="Users"/>
</div>


<!-- text has to be surrounded by `|` for multiple variables OR variable + text -->
<p th:text="|${movies.title} ${movies.dateOfRelease}|"></p>

<p th:if="${movies.actors.isEmpty()}">No actors!</p>

<ul th:unless="${movies.actors.isEmpty()}">
    <li th:each="actor : ${movies.actors}">
        <a th:href="@{/actors/{id}(id=${actor.id})}"
           th:text="|${actor.firstName} - ${actor.lastName}|"></a>
    </li>
</ul>
<script>
function validateForm() {
var x = document.forms["myForm"]["title"].value;
var z = document.forms["myForm"]["dateOfRelease"].value;
if (x == "") {
alert("Movie title must be filled out");
return false;
}if (z == "") {
alert("Date of release must be filled out");
return false;
}
}
</script>
<form th:action="@{/movie-update1}" name="myForm" action="/action_page.php" onsubmit="return validateForm()"method="post">
    <p>Update Movie:</p>
    <p>Movie title: <input type="text" name="title" placeholder="movie title"></p>
    <p>Date if release: <input type="number" name="dateOfRelease" placeholder="2009"></p>
    <script>

    </script>
    <input type="hidden" name="id" th:value="${movies.id}" />
    <input type="submit" value="Update Movie"/>
</form>

<p></p>
<p></p>

<div class="tab">
    <button class="tablinks" onclick="showHideTable(event, 'Add Actors')">Add Actors</button>
    <button class="tablinks" onclick="showHideTable(event, 'Remove Actors')">Remove Actors</button>
    <button class="tablinks" onclick="showHideTable(event, 'Add Directors')">Add Directors</button>
    <button class="tablinks" onclick="showHideTable(event, 'Remove Directors')">Remove Directors</button>
</div>

<div id="Add Actors" class="tabcontent">
    <table>
        <tr>
            <th>ID</th>
            <th>First name</th>
            <th>Last name</th>
            <th>Date of Birth</th>
            <th>Delete actor</th>
            <th>Update actor</th>
        </tr>
        <tr th:each="actor : ${actors}">



            <td th:text="${actor.id}">123</td>

            <td>
                <a th:href="@{/actors/{id}(id=${actor.id})}"
                   th:text="${actor.firstName}"></a>
            </td>
            <td>
                <a th:href="@{/actors/{id}(id=${actor.id})}"
                   th:text="${actor.lastName}"></a>
            </td>
            <td th:text="${actor.dateOfBirth}">date of Birth</td>
            <td>
                <form th:action="@{delete}" method="post">
                    <input type="hidden" name="id" th:value="${actor.id}" />
                    <input type="submit" value="Delete" class="btn btn-danger" />
                </form>
            </td>

            <td>
                <a th:href="@{/actor-update/{id}(id=${actor.id})}"
                >Update!</a>
            </td>
            <td> <h2></h2>



        </tr>
    </table>
</div>

<!--<div id="Remove Actors" class="tabcontent">-->
<!--    <table>-->
<!--        &lt;!&ndash;Content..&ndash;&gt;-->
<!--    </table>-->
<!--</div>-->

<!--<div id="Add Directors" class="tabcontent">-->
<!--    <table>-->
<!--        &lt;!&ndash;Content..&ndash;&gt;-->
<!--    </table>-->
<!--</div>-->

<!--<div id="Remove Directors" class="tabcontent">-->
<!--    <table>-->
<!--        &lt;!&ndash;Content..&ndash;&gt;-->
<!--    </table>-->
<!--</div>-->
<!--<script>-->
<!--function () {-->
<!--//Create a click function on whatever button you want to show and hide the tables with-->
<!--$("#ShowHideTablesButton").click(function () {-->
<!--var $Table1 = $("#Add Actors");-->
<!--var $Table2 = $("#Remove Actors");-->
<!--var $Table1 = $("#Add Directors");-->
<!--var $Table2 = $("#Remove Directors");-->

<!--//If table 1 is hidden, then show it and hide the other table or vise versa-->
<!--if ($Table1.hasClass("hidden")) {-->
<!--$Table1.show();-->
<!--$Table2.hide();-->
<!--$Table3.hide();-->
<!--$Table4.hide();-->
<!--}-->
<!--else {-->
<!--$Table2.show();-->
<!--$Table1.hide();-->
<!--$Table3.hide();-->
<!--$Table4.hide();-->
<!--}-->
<!--else {-->
<!--$Table3.show();-->
<!--$Table1.hide();-->
<!--$Table2.hide();-->
<!--$Table4.hide();-->
<!--}-->
<!--else {-->
<!--$Table4.show();-->
<!--$Table1.hide();-->
<!--$Table3.hide();-->
<!--$Table2.hide();-->
<!--}-->
<!--});-->
<!--});-->

<!--</script>-->


<button title="Click to show/hide content" type="button" onclick="if(document.getElementById('Remove Actor') .style.display=='none')
{document.getElementById('Remove Actor') .style.display=''}else{document.getElementById('Remove Actor') .style.display='none'}">Remove Actor</button>

<button title="Click to show/hide content" type="button" onclick="if(document.getElementById('Add Actor') .style.display=='none')
 {document.getElementById('Add Actor') .style.display=''}else{document.getElementById('Add Actor') .style.display='none'}">Add Actor</button>

<button title="Click to show/hide content" type="button" onclick="if(document.getElementById('Remove Director') .style.display=='none')
{document.getElementById('Remove Director') .style.display=''}else{document.getElementById('Remove Director') .style.display='none'}">Remove Director</button>

<button title="Click to show/hide content" type="button" onclick="if(document.getElementById('Add Director') .style.display=='none')
 {document.getElementById('Add Director') .style.display=''}else{document.getElementById('Add Director') .style.display='none'}">Add Director</button>

<div id="Remove Actor" style="display:none">

    <p th:if="${movies.actors.isEmpty()}">No actors!</p>

    <ul th:unless="${movies.actors.isEmpty()}">
        <li th:each="actor : ${movies.actors}">
            <a th:href="@{/actors/{id}(id=${actor.id})}"
               th:text="|${actor.firstName} - ${actor.lastName}|"></a>

                <form th:action="@{removeActor1}" method="get">
                    <input type="hidden" name="actorId" th:value="${actor.id}" />
                    <input type="hidden" name="id" th:value="${movies.id}" />
                    <input type="submit" value="Remove" class="btn btn-danger" />
                </form>

        </li>
    </ul>

</div>

<div id="Add Actor" style="display:none">

    <form action="/actors" method="get">
        <p>search by name:</p>
        <input type="search" name="firstName"/>
        <br/>
        <input type="submit" value="Filter"/>
    </form>

    <table>
        <tr>
            <th>ID</th>
            <th>First name</th>
            <th>Last name</th>
            <th>Add actor</th>

        </tr>
        <tr th:each="actor : ${actors}">



            <td th:text="${actor.id}">123</td>

            <td>
                <a th:href="@{/actors/{id}(id=${actor.id})}"
                   th:text="${actor.firstName}"></a>
            </td>
            <td>
                <a th:href="@{/actors/{id}(id=${actor.id})}"
                   th:text="${actor.lastName}"></a>
            </td>
             <td>
                <form th:action="@{addActor}" method="post">
                    <input type="hidden" name="id" th:value="${actor.id}" />
                    <input type="submit" value="Add" class="btn btn-danger" />
                </form>
            </td>

            <td> <h2></h2>



        </tr>
    </table>

</div>

<div id="Remove Director" style="display:none">

    Remove Director

</div>

<div id="Add Director" style="display:none">

    Add Director

</div>


</form>
</body>
</html>